﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace GraphDrawer
{
    /// <summary>
    /// Interaction logic for EdgeCreateWindow.xaml
    /// </summary>
    public partial class EdgeCreateWindow : Window
    {
        bool focused = false;
        public EdgeCreateWindow()
        {
            InitializeComponent();
        }

        public int Weight
        {
            get { return (int)weightSlider.Value; }
        }

        public Color Color
        {
            get { return (Color)colorCanvas.SelectedColor; }
        }

        public bool State
        {
            get { return focused; }
        }

        private void focusedBtn_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = true;
            focused = true;
        }

        private void unfocusedBtn_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = true;
            focused = false;
        }
    }
}
